Bug 1011581 - PartitionException: Partition is not part of the disk it is being removed from
PartitionException: Partition is not part of the disk it is being removed from
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:9aaf661e6c4d6808d9563003374...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 10:59 EDT by Lubos Kocman
Modified: 2014-12-02 14:11 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-02 14:11:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (2.20 MB, text/plain)
2013-09-24 11:00 EDT, Lubos Kocman
no flags Details
File: anaconda.log (47.74 KB, text/plain)
2013-09-24 11:00 EDT, Lubos Kocman
no flags Details
File: environ (422 bytes, text/plain)
2013-09-24 11:00 EDT, Lubos Kocman
no flags Details
File: lsblk_output (1.02 KB, text/plain)
2013-09-24 11:00 EDT, Lubos Kocman
no flags Details

  None (edit)
Description Lubos Kocman 2013-09-24 10:59:51 EDT
Description of problem:
Did automatic layout with LUKS/BTRFS

Version-Release number of selected component:
anaconda-20.18-1

The following was filed automatically by anaconda:
anaconda 20.18-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/parted/disk.py", line 269, in removePartition
    if self.__disk.remove_partition(partition.getPedPartition()):
  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 41, in new
    ret = fn(*args, **kwds)
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 591, in removeNewPartitions
    part.disk.format.partedDisk.removePartition(part.partedPartition)
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 783, in doPartitioning
    removeNewPartitions(disks, partitions)
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 320, in doAutoPartition
    doPartitioning(storage)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 244, in execute
    doAutoPartition(storage, ksdata)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1678, in doKickstartStorage
    ksdata.autopart.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 420, in _doExecute
    doKickstartStorage(self.storage, self.data, self.instclass)
  File "/usr/lib64/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 76, in get
    self.raise_error(name)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 444, in completed
    retval = (threadMgr.get(constants.THREAD_EXECUTE_STORAGE) is None and
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 268, in _handleCompleteness
    if not spoke.mandatory or spoke.completed:
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 262, in _updateCompleteness
    self._handleCompleteness(spoke)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 419, in _on_spoke_clicked
    self._updateCompleteness(sp)
PartitionException: Partition is not part of the disk it is being removed from

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=/distrotrees/64272/initrd method=http://download-01.eng.brq.redhat.com/pub/fedora/linux/development-snapshot-20130924/20/x86_64/os/ repo=http://download-01.eng.brq.redhat.com/pub/fedora/linux/development-snapshot-20130924/20/x86_64/os/  BOOT_IMAGE=/distrotrees/64272/kernel 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.1-300.fc20.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        20
Comment 1 Lubos Kocman 2013-09-24 11:00:14 EDT
Created attachment 802273 [details]
File: anaconda-tb
Comment 2 Lubos Kocman 2013-09-24 11:00:23 EDT
Created attachment 802274 [details]
File: anaconda.log
Comment 3 Lubos Kocman 2013-09-24 11:00:28 EDT
Created attachment 802275 [details]
File: environ
Comment 4 Lubos Kocman 2013-09-24 11:00:33 EDT
Created attachment 802276 [details]
File: lsblk_output
Comment 5 Vratislav Podzimek 2013-10-09 10:03:23 EDT
Can you reproduce this on a system with unencrypted previous installation? Or does it happen only if encrypted installation is overwritten? And did you enter the LUKS passphrase for the LUKS device?
Comment 6 Lubos Kocman 2013-10-10 04:19:55 EDT
Hello,

passphrase was entered. I did the installation only above the encrypted system so I can't say. I guess you'll have to test it in VM.

Lubos
Comment 7 David Lehman 2014-12-02 14:11:23 EST
I suspect this was fixed as part of bug 1121383. Please reopen if you can reproduce with the released Fedora 20.

Note You need to log in before you can comment on or make changes to this bug.